Ticket API
List Tickets
List tickets for a team.
GET
/
v2
/
tickets
List Tickets
curl --request GET \
--url https://public.api.serval.com/v2/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"friendlyIdentifier": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"escalatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"assignedToUserId": "<string>",
"requesterUserId": "<string>",
"statusId": "<string>",
"priorityId": "<string>",
"slaStartedAt": "2023-11-07T05:31:56Z",
"slaBreachesAt": "2023-11-07T05:31:56Z",
"labelIds": [
"<string>"
],
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"isOverdue": true,
"childTicketIds": [
"<string>"
],
"linkedTicketIds": [
"<string>"
],
"duplicateTicketIds": [
"<string>"
],
"dependsOnTicketIds": [
"<string>"
],
"parentTicketId": "<string>",
"conversationThreadTicketIds": [
"<string>"
],
"conversationThreadParentTicketId": "<string>",
"nameTranslations": {},
"descriptionTranslations": {},
"categoryOptionId": "<string>"
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return tickets created at or after this time. Defaults to 1 year ago if not provided. Unix timestamp in seconds.
Maximum number of results to return. Default is 2000, maximum is 5000.
Token for pagination. Leave empty for the first request.
Was this page helpful?
⌘I
List Tickets

